.navbar {
    cursor: pointer;
    position: relative;
    z-index: 30;

    span {
      display: block;
      background-color: #fff;
      height: 3px;
      transition: all 0.4s;

      &:first-child {
        width: 100%;
        margin-bottom: 0.25rem;
      }

      &:last-child {
        width: 70%;
        margin-top: 0.25rem;
      }
    }

    &.navbar__black {
      span {
        background-color: #000;
      }
    }

    &:hover {
      span:last-child {
        width: 100%;
      }
    }

    &-open {
      span {
        background-color: #fff !important;

        &:first-child {
          transform: rotate(45deg) translate(0, 2px);
          margin: 0;
        }

        &:last-child {
          width: 100%;
          transform: rotate(-45deg) translate(0, -2px);
          margin: 0;
        }
      }
    }
  }

  .main-nav {
    $bezier: cubic-bezier(.34,.05,.52,1);

    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    right: 0%;
    text-align: center;
    background-color: $primary-red;
    overflow: hidden;

    z-index: 20;

    transition: transform ease-in-out 750ms;
    transform: translateX(100%);

    &.active {
      transform: translateX(0);
    }

    @supports (clip-path: circle(0px)) {
      & {
        transform: none;
        clip-path: circle(0px at top right);
        transition: clip-path ease-in-out 700ms;
      }

      &:not(.active) {
        transition-delay: 200ms;
      }

      &.active {
        clip-path: circle(250% at top right);
      }
    }

    &__list {
      width: 100%;
      height: 100%;

      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;

    }

    &__item {
      color: #fff;
      font-size: 3rem;
      font-weight: 600;

      opacity: 0;
      transition: opacity 350ms linear;

      &:not(:last-child) {
        margin-bottom: 0.5rem;
      }
    }

    &__link {
      transition: background $bezier 150ms;
    }

    &.active &__item {
      animation: fadeIn $bezier 750ms forwards;
    }

    &.active &__item:nth-child(1) {
      animation-delay: 100ms;
    }
    &.active &__item:nth-child(2) {
      animation-delay: 200ms;
    }
    &.active &__item:nth-child(3) {
      animation-delay: 300ms;
    }
    &.active &__item:nth-child(4) {
      animation-delay: 400ms;
    }
    &.active &__item:nth-child(5) {
      animation-delay: 500ms;
    }

    @keyframes fadeIn {
      0% {
        opacity: 0;
        transform: translateX(-200px);
      }
      75% {
        opacity: 0.2;
        transform: translateX(0);
      }
      100% {
        opacity: 1;
        transform: translateX(0);
      }
    }

    @keyframes fadeOut {
      0% {
        opacity: 1;
        transform: translateX(0);
      }
      70% {
        opactiy: 0;
      }
      100% {
        opacity: 0;
        transform: translateX(500px);
      }
    }

    &:not(.active) &__item {
      opacity: 1;
      animation: fadeOut $bezier 500ms forwards;
    }

    &:not(.active) &__item:nth-child(1) {
      animation-delay: 500ms;
    }
    &:not(.active) &__item:nth-child(2) {
      animation-delay: 400ms;
    }
    &:not(.active) &__item:nth-child(3) {
      animation-delay: 300ms;
    }
    &:not(.active) &__item:nth-child(4) {
      animation-delay: 200ms;
    }
    &:not(.active) &__item:nth-child(5) {
      animation-delay: 100ms;
    }
  }
